Package: org.gradle.api.artifacts

## [Java] Interface ModuleVersionIdentifier

- The identifier of a module version.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getGroup()` The group of the module.
    `ModuleIdentifier` | `getModule()` Returns the ModuleIdentifier containing the group and the name of this module.
    `String` | `getName()` The name of the module.
    `String` | `getVersion()` The version of the module

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public String getGroup()

      The group of the module.

      Returns:
        module group

    - #### @Incubating public ModuleIdentifier getModule()

      Returns the ModuleIdentifier containing the group and the name of this module. Contains the same information as getGroup() and getVersion()

      Returns:
        the module identifier
      Since:
        1.4

    - #### public String getName()

      The name of the module.

      Returns:
        module name

    - #### public String getVersion()

      The version of the module

      Returns:
        module version